Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

 

Red Hat (and clones) specific:

Older platforms:

  • Not a bug as such, but if you have a problem building on RHEL 6 check the Pre-requisites  notes to make sure sure you are using a more recent version of gcc (minimum required is 4.8)
  • curl looks for certificates in /etc/pki/tls/certs/ca-bundle.crt rather than /etc/ssl/certs/ca-certificates.crt.The solution is to copy ca-certificates.crt to ca-bundle.crt as explained at Building the LSST Stack from Source

OSX specific:

New versions:

  • El Capitan came out after our testing period, and there are known issues (eg.
    JIRA
    serverJIRA
    columnskey,summary,type,created,updated,due,assignee,reporter,priority,status,resolution
    serverId9da94fb6-5771-303d-a785-1b6c5ab0f2d2
    keyDM-3200
    ) that will be addressed in the next release.

Older platforms:

  • Some old installations of XCode on Macs create a /Developer directory.  This can interfere with installation.
  • Macs must use the clang compiler, not gcc
    JIRA
    serverJIRA
    columnskey,summary,type,created,updated,due,assignee,reporter,priority,status,resolution
    serverId9da94fb6-5771-303d-a785-1b6c5ab0f2d2
    keyDM-3405
    • One version of this problem occurs when using Macports, which, by default, will create a symlink from /opt/local/bin/c++ to its version of g++. Try removing that, starting a new shell, and restarting eups distrib install.